
From: Stelian Pop <stelian@popies.net>

Signed-off-by: Stelian Pop <stelian@popies.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/meye.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/video/meye.c~meye-picture-depth-is-in-bits-not-in-bytes drivers/media/video/meye.c
--- 25/drivers/media/video/meye.c~meye-picture-depth-is-in-bits-not-in-bytes	Thu Nov  4 15:04:35 2004
+++ 25-akpm/drivers/media/video/meye.c	Thu Nov  4 15:04:35 2004
@@ -904,7 +904,7 @@ static int meye_do_ioctl(struct inode *i
 
 	case VIDIOCSPICT: {
 		struct video_picture *p = arg;
-		if (p->depth != 2)
+		if (p->depth != 16)
 			return -EINVAL;
 		if (p->palette != VIDEO_PALETTE_YUV422)
 			return -EINVAL;
@@ -1335,7 +1335,7 @@ static int __devinit meye_probe(struct p
 	init_MUTEX(&meye.lock);
 	init_waitqueue_head(&meye.proc_list);
 
-	meye.picture.depth = 2;
+	meye.picture.depth = 16;
 	meye.picture.palette = VIDEO_PALETTE_YUV422;
 	meye.picture.brightness = 32 << 10;
 	meye.picture.hue = 32 << 10;
_
